* Stop syntax and large titles from printing to output.
SET PRINTBACK=NONE HEADER=NO.

***********************************************************************************.
*******      BEGIN DATA MANIPULATION OF CHAPTER 3b SIX-OCCASION EXAMPLE     *******.
*******                   CHANGE "filesave" to your directory               *******.
***********************************************************************************.

* Define location of files used in code below.
FILE HANDLE filesave /NAME = "C:\Dropbox\PilesOfVariance\Chapter3b\SPSS".

* Import chapter 3 six-occasion stacked data.
GET FILE = "filesave/SPSS_Chapter3b.sav".
DATASET NAME Chapter3b WINDOW=FRONT.

***********************************************************************************.
*******                BEGIN CHAPTER 3b SIX-OCCASION MODELS                 *******.
***********************************************************************************.

* Open output directory.
OUTPUT NAME SPSS_Chapter3b_Output.

ECHO "Chapter 3b Example: Means by session for RT outcome".
SUMMARIZE
   /TABLES = rt BY session
   /FORMAT = NOLIST TOTAL 
   /CELLS  = COUNT MEAN SEMEAN MIN MAX.

DATASET ACTIVATE Chapter3b WINDOW=FRONT.
ECHO 'Eq 3b.10: Between-Person Independent ANOVA'.
MIXED rt BY PersonID session
     /METHOD   = REML
     /PRINT    = SOLUTION TESTCOV R 
     /FIXED    = session 
     /REPEATED = session | COVTYPE(ID) SUBJECT(PersonID)
     /EMMEANS  = TABLES(session) COMPARE(session)
.
 
DATASET ACTIVATE Chapter3b WINDOW=FRONT.
ECHO 'Eq 3b.10: Univariate Repeated Measures ANOVA'.
MIXED rt BY PersonID session
     /METHOD   = REML
     /PRINT    = SOLUTION TESTCOV R 
     /FIXED    = session 
     /REPEATED = session | COVTYPE(CS) SUBJECT(PersonID)
     /EMMEANS  = TABLES(session) COMPARE(session)
.
 
DATASET ACTIVATE Chapter3b WINDOW=FRONT.
ECHO 'Eq 3b.10: Multivariate Repeated Measures ANOVA'.
MIXED rt BY PersonID session
     /METHOD   = REML
     /PRINT    = SOLUTION TESTCOV R 
     /FIXED    = session 
     /REPEATED = session | COVTYPE(UN) SUBJECT(PersonID)
     /EMMEANS  = TABLES(session) COMPARE(session)
.
 
****** END CHAPTER 3b MODELS ******.

* Close output directory.
OUTPUT EXPORT NAME=SPSS_Chapter3b_Output
     /CONTENTS EXPORT=VISIBLE LAYERS=VISIBLE MODELVIEWS=VISIBLE
     /HTML DOCUMENTFILE='C:\Dropbox\PilesOfVariance\Chapter3b\SPSS\SPSS_Chapter3b_Output.html'
           IMAGEFORMAT=PNG STYLING=YES.
